
Infrastructure - Story #5471

CCI 1.3.0 release

2014-06-09 17:20 - Dave Vieglais

Status: Closed Start date: 2014-06-13

Priority: Normal Due date: 2014-07-19

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2014.28-Block.4.2   

Story Points:    

Description

This story encompasses all tasks and bugs relevant to the release of infrastructure version 1.3.0

Subtasks:

Task # 5486: tag D1_LOG_AGGREGATION_v1.3.0 Closed

Task # 5487: tag D1_CN_INDEX_PROCESSOR_v1.3.0 Closed

Task # 5488: tag DATAONE-CN-SOLR_v1.3.0 Closed

Task # 5489: tag DATAONE-CN-PROCESSDAEMON_v1.3.0 Closed

Task # 5490: tag DATAONE-CN-INDEX_v1.3.0 Closed

Task # 5491: release dataone-cn-index_1.3 Closed

Task # 5492: release dataone-cn-processdaemon_1.3 Closed

Task # 5493: release dataone-cn-solr_1.3 Closed

Task # 5495: Release dataone-cn-os-core 1.3.0 Closed

Task # 5496: tag DATAONE_CN_OS_CORE_v1.3.0 Closed

Task # 5509: tag and release oneMercury 1.2.5 Closed

Task # 5524: After deployment re-index search to provide geohash field values Closed

Task # 5573: Branch and tag D1_CN_INDEX_TOOL_v1.3.0 Closed

Task # 5581: release d1_solr_extensions_v1.3.0 Closed

Task # 5822: tag D1_SOLR_EXTENSIONS_v1.3.0 Closed

Task # 5901: tag D1_MERCURY_COMMON_v1.2.5 Rejected

Task # 5902: tag D1_MERCURY_UI_v1.2.5 Rejected

Task # 5903: After deployment re-harvest all logs Closed

Task # 5904: tag DATAONE-MERCURY_v1.2.5 Closed

Task # 5985: Tag D1_PROCESS_DAEMON_v.1.2.2 Closed

Task # 5986: post release d1_node_approval configuratoin Closed

Related issues:

Related to Infrastructure - Story #4687: Index geohash Closed 2014-04-04 2014-08-02

Related to Infrastructure - Task #5332: Implement /cn/v1/logsolr endpoint Closed 2014-05-23

Related to Infrastructure - Bug #5494: Hours to schedule log Aggregation exec... Closed 2014-06-14 2014-06-14

Related to Infrastructure - Bug #5497: Click "View full metadata" on the sear... Closed

Related to Infrastructure - Story #5523: Run Tidy after Split Brain Closed 2014-07-25 2014-08-02

History

#1 - 2014-06-09 17:24 - Dave Vieglais

- Start date set to 2014-06-08

- Target version set to 2014.24-Block.3.4

- Due date set to 2014-06-21

#2 - 2014-06-13 18:31 - Peter Slaughter

This release includes schema changes for both the CN Search Index and the Log Aggregation "Event" index.

Also included is a new endpoint ./cn/v1/query/logsolr to access the Log Aggregation "Event" index.
#3 - 2014-06-26 22:08 - Robert Waltz

- Target version changed from 2014.24-Block.3.4 to 2014.26-Block.4.1

- Due date changed from 2014-06-21 to 2014-07-05

#4 - 2014-06-26 22:09 - Robert Waltz

- Product Version changed from * to 1.3.0

#5 - 2014-06-30 21:44 - Robert Waltz

- Target version changed from 2014.26-Block.4.1 to 2014.28-Block.4.2

- Due date changed from 2014-07-05 to 2014-07-19

#6 - 2014-08-21 01:25 - Robert Waltz

- Status changed from New to Closed
